From 1bd42e5922736b729941ec5fb1dc4a7ede4f169b Mon Sep 17 00:00:00 2001
From: Bernie Innocenti <bernie@codewiz.org>
Date: Sat, 19 Jun 2010 08:23:04 -0400
Subject: [PATCH] Set default accelerators for Copy and Paste buttons
Organization: Sugar Labs Foundation
X-Subversion: sucks

---
 src/sugar/activity/widgets.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/src/sugar/activity/widgets.py b/src/sugar/activity/widgets.py
index 83b689c..f89ac1f 100644
--- a/src/sugar/activity/widgets.py
+++ b/src/sugar/activity/widgets.py
@@ -108,6 +108,7 @@ class CopyButton(ToolButton):
     def __init__(self, **kwargs):
         ToolButton.__init__(self, 'edit-copy', **kwargs)
         self.props.tooltip = _('Copy')
+        self.props.accelerator = '<Ctrl>C'
 
 
 class PasteButton(ToolButton):
@@ -115,6 +116,7 @@ class PasteButton(ToolButton):
     def __init__(self, **kwargs):
         ToolButton.__init__(self, 'edit-paste', **kwargs)
         self.props.tooltip = _('Paste')
+        self.props.accelerator = '<Ctrl>V'
 
 
 class ShareButton(RadioMenuButton):
-- 
1.7.1

